%define major 0
%define libname %mklibname quicktime %{major}
%define devname %mklibname quicktime -d

######################
# Hardcore PLF build
%define build_plf 0
######################

%{?_with_plf: %{expand: %%global build_plf 1}}
%if %{build_plf}
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%define distsuffix plf
%endif

Summary:	A library for manipulating QuickTime files
Name:		libquicktime
Version:	1.2.4
Release:	11%{?extrarelsuffix}
%if %{build_plf}
License:	GPLv2+
%else
License:	LGPLv2+
%endif
Group:		Video
Url:		http://libquicktime.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/libquicktime/%{name}-%{version}.tar.gz
Patch0:		libquicktime-1.2.2-ffmpeg07.patch
Patch1:		libquicktime-1.2.4-ffmpeg2.patch
Patch2:		libquicktime-1.2.4-ffmpeg3.patch
Patch3:		libquicktime-1.2.4-integer_overflow.patch
Patch4:		libquicktime-1.2.4-multiple_vulnerabilities.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	doxygen
BuildRequires:	ffmpeg-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(ice)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(schroedinger-1.0)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xaw7)
BuildRequires:	pkgconfig(xv)

%description
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%if %{build_plf}
This package is in restricted as it violates some patents.
%endif

%files -f %{name}.lang
%doc README
%dir %{_libdir}/libquicktime/
%{_libdir}/libquicktime/lqt_audiocodec.so
%{_libdir}/libquicktime/lqt_ffmpeg.so
%{_libdir}/libquicktime/lqt_mjpeg.so
%{_libdir}/libquicktime/lqt_png.so
%{_libdir}/libquicktime/lqt_videocodec.so
%{_libdir}/libquicktime/lqt_rtjpeg.so
%{_libdir}/libquicktime/lqt_schroedinger.so
%{_libdir}/libquicktime/lqt_vorbis.so

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library of libquicktime
Group:		System/Libraries

%description -n %{libname}
Libquicktime is a library for reading and writing QuickTime files
on UNIX systems. Video CODECs supported by this library are OpenDivX, MJPA,
JPEG Photo, PNG, RGB, YUV 4:2:2, and YUV 4:2:0 compression.  Supported
audio CODECs are Ogg Vorbis, IMA4, ulaw, and any linear PCM format.

Libquicktime is based on the quicktime4linux library.  Libquicktime add
features such as a GNU build tools-based build process and dynamically
loadable CODECs.

%files -n %{libname}
%{_libdir}/libquicktime.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and development documentation for libquicktime
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	libquicktime-devel = %{EVRD}
Provides:	quicktime-devel = %{EVRD}
Provides:	quicktime-static-devel = %{EVRD}

%description -n %{devname}
Header files and development documentation for libquicktime.

%files -n %{devname}
%{_libdir}/libquicktime.so
%{_includedir}/lqt
%{_libdir}/pkgconfig/*.pc

#----------------------------------------------------------------------------

%package dv
Summary:	Libquicktime plugin supporting the DV codec
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	pkgconfig(libdv)

%description dv
Libquicktime plugin supporting the DV codec

%files dv
%{_libdir}/libquicktime/lqt_dv.so

#----------------------------------------------------------------------------

%package progs
Summary:	Useful tools to operate at QuickTime files
Group:		Video
Requires:	%{name} = %{EVRD}

%description progs
Useful tools to operate on QuickTime files.

%files progs
%doc README TODO
%{_bindir}/libquicktime_config
%{_bindir}/lqtplay
%{_bindir}/lqtremux
%{_bindir}/lqt_transcode
%{_bindir}/qt*
%{_mandir}/man1/lqtplay.1*

%if %{build_plf}
#----------------------------------------------------------------------------
%package lame
Summary:	Libquicktime plugin supporting the MP3 codec
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	lame-devel

%description lame
This is a libquicktime plugin supporting the MP3 codec based on lame.

This package is in restricted as it violates some patents.

%files lame
%{_libdir}/libquicktime/lqt_lame.so

#----------------------------------------------------------------------------

%package faac
Summary:	Libquicktime plugin for encoding AAC
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	libfaac-devel

%description faac
This is a libquicktime plugin for AAC encoding based on faac.

This package is in restricted as it violates some patents.

%files faac
%{_libdir}/libquicktime/lqt_faac.so

#----------------------------------------------------------------------------

%package faad
Summary:	Libquicktime plugin for decoding AAC
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	libfaad2-devel

%description faad
This is a libquicktime plugin for AAC decoding based on faad2.

This package is in restricted as it violates some patents.

%files faad
%{_libdir}/libquicktime/lqt_faad2.so

#----------------------------------------------------------------------------

%package x264
Summary:	Libquicktime plugin for encoding H.264/MPEG-4 streams
Group:		Video
Requires:	%{name} = %{EVRD}
BuildRequires:	pkgconfig(x264)

%description x264
This is a libquicktime plugin for encoding H.264/MPEG-4 streams.

This package is in restricted as it violates some patents.

%files x264
%{_libdir}/libquicktime/lqt_x264.so
#----------------------------------------------------------------------------
%endif

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%configure2_5x \
	--with-libdv \
%ifarch x86_64
	--with-pic \
%endif
%if %{build_plf}
	--enable-gpl
%endif

%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libquicktime/*a
rm -f %{buildroot}%{_libdir}/libquicktime/lqt_opendivx.so

%find_lang %{name}


%changelog

* Sat Dec 23 2017 Denis Silakov <dsilakov@virtuozzo.com> 1.2.4-11
- (1a5195b) fix CVE-2017-912[2-8]


